Package Details: capa-bin 1.5.1-3

Git Clone URL: https://aur.archlinux.org/capa-bin.git (read-only, click to copy)
Package Base: capa-bin
Description: The FLARE team's open-source tool to identify capabilities in executable files
Upstream URL: https://github.com/fireeye/capa
Licenses: Apache
Conflicts: capa
Submitter: jahway603
Maintainer: jahway603
Last Packager: jahway603
Votes: 0
Popularity: 0.000000
First Submitted: 2020-11-01 02:41
Last Updated: 2021-02-21 00:32

Latest Comments

samvdkris commented on 2021-02-15 08:23

Awesome, thank you for the quick response and fix!

I don't think building capa requires python2 anymore though, the installation.md mentions you can use pyinstaller for Python 3. And they even seem to prefer using that, as some of their development dependencies require Python 3.

Edit: ah yep, tried to compile it in a fresh Python container, and I was getting some errors with strings/bytes, probably a remnant of old Python 2 stuff. Did fix it though, so I might make a MR if it doesn't break on Python 2.

jahway603 commented on 2021-02-14 23:04

@samvdkris, if you were to compile this from source then you would require python2, but since this is a binary I have moved python2 from depends to optdepends.

samvdkris commented on 2021-02-14 12:00

Might be an idea to add python2 as an optdepends instead of depends, since it's not actually required to use capa and has been EOL for a year now :)

In the meantime, users can just manually remove it from the PKGBUILD